
QGIS Application - Bug report #7939

Zoom to Best Scale (100%) Produces Jagged Image

2013-05-29 05:39 PM - Damien Smith

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 16807

Description

This used to work fine but no longer produces a 1:1 image.

History

#1 - 2013-05-29 05:40 PM - Nathan Woodrow

Can you upload a before and after image.  I can't reproduce here yet.

#2 - 2013-05-29 06:48 PM - Damien Smith

- File Lisboa.JPG added

- File Master.JPG added

Here are some screenshots.  It appears to be calculating the zoom for 100% incorrectly.

Lisboa correctly calculates 100% zoom as 1:378 and the current build incorrectly calculates 100% zoom as 1:267

#3 - 2014-01-30 11:41 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#4 - 2014-06-21 11:58 AM - Jürgen Fischer

- Category set to Rasters

#5 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/


Files

Lisboa.JPG 39.3 KB 2013-05-29 Damien Smith

Master.JPG 50.5 KB 2013-05-29 Damien Smith
